import struct,glob,os,zlib
from PIL import Image

OUTDIR='out'
if not os.path.exists(OUTDIR):
    os.mkdir(OUTDIR)
for name in glob.glob('*.rpt'):
    outpath=os.path.join(OUTDIR,name+'.png')
    if os.path.exists(outpath):
        continue
    print(name)
    with open(name, 'rb') as f:
        #data=zlib.decompress(f.read())
        data=(f.read())

    with open(name,'rb') as f:
        imagetype = data[0x19]
        w,_,h = struct.unpack('>HHH',data[0x22:0x28])
        print('Type: {:02x} w:{} h:{}'.format(imagetype,w,h))
        print('outpath'.format(data))

        if w==0 or h==0:
            print('Bad image!')
            continue
        
        img = Image.frombytes('RGBA', (w,h), data[0x40:0x40+w*h*4])
        img.save(outpath)